POST /kling/v1/videos/lip-sync
Method: POSTEndpoint: /kling/v1/videos/lip-sync
- Generate video This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. Official Documentation:https://docs.qingque.cn/d/home/eZQClW07IFEuX1csc-VejdY2M#section=h.o30jngluvb4t
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
input
object
Required
task_id
string
Required
video_id
string
Required
mode
string
Required
text
string
Required
voice_id
string
Required
voice_language
string
Required
Example
{
"input"
:
{
"video_id"
:
"de1b86d9-8e40-4f1c-a6a5-6459f8eb42f2"
,
// provider-specific note
"video_url"
:
"https://xxxxxxx.mp4"
,
// provider-specific note
"mode"
:
"text2video"
,
"text"
:
// provider-specific example normalized for English documentation
,
"voice_id"
:
"girlfriend_1_speech02"
,
"voice_language"
:
"zh"
}
}Example Request
Shell
bash
curl --location --request POST '/kling/v1/videos/lip-sync' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"input":{
"video_id":"de1b86d9-8e40-4f1c-a6a5-6459f8eb42f2",// provider-specific note
"video_url": "https:// provider-specific note
"mode":"text2video",
// provider-specific example normalized for English documentation
"voice_id":"girlfriend_1_speech02",
"voice_language":"zh"
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": 0,
"message": "SUCCEED",
"request_id": "CmJ8DGePZioAAAAAAFIvOQ",
"data": {
"task_id": "CmJ8DGePZioAAAAAAFIvOQ",
"task_status": "submitted",
"created_at": 1737628288136,
"updated_at": 1737628288136
}
}